Retrieve Tool
curl --request GET \
--url https://app.agentcloud.dev/{resourceSlug}/tool/{toolId}.json \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.agentcloud.dev/{resourceSlug}/tool/{toolId}.json"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.agentcloud.dev/{resourceSlug}/tool/{toolId}.json', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.agentcloud.dev/{resourceSlug}/tool/{toolId}.json",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.agentcloud.dev/{resourceSlug}/tool/{toolId}.json"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.agentcloud.dev/{resourceSlug}/tool/{toolId}.json")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.agentcloud.dev/{resourceSlug}/tool/{toolId}.json")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"name": "<string>",
"description": "<string>",
"type": "function",
"data": {
"name": "<string>",
"runtime": "<string>",
"builtin": true,
"description": "<string>",
"apiKey": "<string>",
"environmentVariables": {},
"parameters": {
"properties": {},
"required": [
"<string>"
]
},
"code": "<string>",
"requirements": "<string>",
"openAPIMatchKey": "<string>"
},
"_id": "<string>",
"orgId": "<string>",
"teamId": "<string>",
"asdf": "<string>",
"retriever_type": "raw",
"retriever_config": {
"metadata_field_info": [
{
"name": "<string>",
"description": "<string>",
"type": "string"
}
],
"k": 123
},
"datasourceId": "<string>",
"state": "pending",
"icon": {
"id": {},
"filename": "<string>"
},
"hidden": true,
"functionId": "<string>",
"revisionId": "<string>",
"functionLogs": "<string>"
}{
"message": "<string>",
"code": 123
}{
"message": "<string>",
"code": 123
}{
"message": "<string>",
"code": 123
}Tools
Retrieve Tool
Retrieve a JSON object of a single tool from toolId and the resourceSlug
GET
/
{resourceSlug}
/
tool
/
{toolId}
.json
Retrieve Tool
curl --request GET \
--url https://app.agentcloud.dev/{resourceSlug}/tool/{toolId}.json \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.agentcloud.dev/{resourceSlug}/tool/{toolId}.json"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.agentcloud.dev/{resourceSlug}/tool/{toolId}.json', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.agentcloud.dev/{resourceSlug}/tool/{toolId}.json",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.agentcloud.dev/{resourceSlug}/tool/{toolId}.json"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.agentcloud.dev/{resourceSlug}/tool/{toolId}.json")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.agentcloud.dev/{resourceSlug}/tool/{toolId}.json")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"name": "<string>",
"description": "<string>",
"type": "function",
"data": {
"name": "<string>",
"runtime": "<string>",
"builtin": true,
"description": "<string>",
"apiKey": "<string>",
"environmentVariables": {},
"parameters": {
"properties": {},
"required": [
"<string>"
]
},
"code": "<string>",
"requirements": "<string>",
"openAPIMatchKey": "<string>"
},
"_id": "<string>",
"orgId": "<string>",
"teamId": "<string>",
"asdf": "<string>",
"retriever_type": "raw",
"retriever_config": {
"metadata_field_info": [
{
"name": "<string>",
"description": "<string>",
"type": "string"
}
],
"k": 123
},
"datasourceId": "<string>",
"state": "pending",
"icon": {
"id": {},
"filename": "<string>"
},
"hidden": true,
"functionId": "<string>",
"revisionId": "<string>",
"functionLogs": "<string>"
}{
"message": "<string>",
"code": 123
}{
"message": "<string>",
"code": 123
}{
"message": "<string>",
"code": 123
}Authorizations
Path Parameters
Response
JSON object containing found tool using the toolId and the teamId
Represents a tool within the system, including its configuration, state, and associated retrievers.